앱 실행 중에 버전 확인하기 안드로이드

어플리케이션을 만들다보면, 특정 버전 이전에서 지원되지 않는 기능이 쓰이기 마련이다.
그렇다고 최소 지원 API level을 올려버린다면, 많은 사용자를 잃어버리는 셈이다.

굳이 그 기능이 없어도 되는거라면, 코드 내부에서 버전을 확인한 뒤, 지원되지 않는 기능의 코드를
실행하지 않도록 할 수 있다.

예를 들어 Lollipop 또는 그 이상 버전만 지원하는 기능이라면,

if(Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP)

이렇게 조건문을 통해, 여러 버전을 지원하는 어플리케이션을 만들 수 있다.

Build의 상수들을 더 알고 싶다면,
https://developer.android.com/reference/android/os/Build.VERSION_CODES.html 에서 확인해볼 수 있다.


출처: Android UI Design by Jessica Thornsby

덧글

댓글 입력 영역



통계 위젯 (화이트)

51
17
2008